<template>
    <v-app-bar app dark>
        <div class="d-flex align-center">
            <router-link to="/">
                <v-img
                        alt="Bomberman"
                        class="shrink mt-1 hidden-sm-and-down"
                        contain
                        min-width="150"
                        src="../assets/logo.svg"
                        width="150"
                />
            </router-link>
        </div>

        <v-spacer></v-spacer>

        <div v-if="player === null">
            <v-btn to="/Connection" dark class="ma-2">
                <span>Sign in</span>
                <v-icon>mdi-account</v-icon>
            </v-btn>
            <v-btn to="/Inscription" outlined dark class="ma-2">
                <span>Sign up</span>
                <v-icon>mdi-account-plus</v-icon>
            </v-btn>
        </div>
        <div v-else>
            <v-btn @click="logout" dark class="ma-2">
                <span>Log out</span>
                <v-icon>mdi-account</v-icon>
            </v-btn>
            <v-btn to="/YourGames" dark class="ma-2">
                <span>Your Games</span>
                <v-icon>mdi-gamepad-square-outline</v-icon>
            </v-btn>
            <v-btn to="/Profil" icon dark class="ma-2">
                <v-avatar>
                    <v-img alt="Bomberman" src="../assets/head.png"/>
                </v-avatar>
            </v-btn>
        </div>

    </v-app-bar>
</template>

<script>
    import {RESET_PLAYER} from "../store/actions.type";

    export default {
        name: "AppHeader",
        methods: {
            logout: function () {
                this.$store.dispatch(RESET_PLAYER);
                if (this.$router.currentRoute.path !== "/")
                    this.$router.push("/");
            }
        },
        computed: {
            player: function () {
                return this.$store.getters.player;
            }
        }
    }
</script>

<style scoped>
</style>
